LINUX.ORG.RU

Nvidia или как правильно переустановить драйвера. Помогите.

 , ,


0

1

Здравствуйте. У меня Debian7.
Первые поставил по такой схеме:

# apt-get install nvidia-glx nvidia-kernel-`uname -r` nvidia-kernel-dkms nvidia-settings nvidia-xconfig

# nvidia-xconfig
304.88
Хочу обновится до 319.17. Скачал драйвер 319.17.run. Переключился в консоль, выгрузил service gdm3 stop. Приступил к установке. Подтвердил. Пошел отсчет от 10-1 и выдает ошибку:
Received Segnal Sigterm: aborting.
Перед этим сделал purge им
nvidia-kernel-dkms nvidia-settings nvidia-xconfig

Помогите, подскажите, как правильно снести старые и поставить свежие. Без особых танцев с бубном. Ну или....

Из лучше backports поставить.

Polugnom ★★★★★ ()
Ответ на: комментарий от Polugnom

И будут свежие ? Как правильно установить ? Подскажите, если пальцы не болят О_О

BoRoDKuH ()

Ставь nouveau.

anonymous ()
Ответ на: комментарий от anonymous

Nouveau на дебиане такой копроверсии, что это толсто вдвойне.

anonymous ()

правильно это через манагер пакетов.
всё что ты делаешь руками приравнивается к попытке отстрелить ногу, а то и голову.
ну и справки для - останавливать иксы не обязательно

megabaks ★★★★ ()
Ответ на: комментарий от Suntechnic

Вот лог ошибки http://paste.org.ru/?7ij3f1.
перед этим более тщательно вычистил nvidia:

apt-get remove nvidia-glx apt-get remove nvidia-\* /etc/X11/xorg.conf /etc/X11/xorg.conf.nvidia.old

Установка пошла дальше, но вскоре опять полезли ошибки, но уже другого характера. На сколько я понял ядро не то. Кстати, у меня:
3.2.0-4-686-pae

BoRoDKuH ()
Ответ на: комментарий от BoRoDKuH

Когда спросит надо ли регистрировать модуль в DKMS откажись - ответь NO. Он тебе между прочим об этом написал.

Suntechnic ★★★★★ ()
Ответ на: комментарий от megabaks

всё что ты делаешь руками приравнивается к попытке отстрелить ногу, а то и голову.

Что за чушь? Всегда дрова ставлю только руками. Последнюю бету. Брат жив.

Suntechnic ★★★★★ ()
Ответ на: комментарий от Suntechnic

ну и молодец - продолжай сам себе копать яму, неуч

megabaks ★★★★ ()
Ответ на: комментарий от Suntechnic

Как минимум вы затираете libGL.so из состава mesa.

kostik87 ★★★★★ ()
Ответ на: комментарий от Suntechnic

Да, все верно. Но как я понял, что если ядро обновится - то могут слететь дрова nvidia ?
Там был еще fail CC но я сказал нет. И дрова можно сказать с горем по-полам установились.
Посмотрю, может позже вернусь к более правильной установке.
Чтоб не было потом казусов...
Комп девушки, потом вынесет мне моск.
Спасибо

BoRoDKuH ()
Ответ на: комментарий от megabaks

продолжай сам себе копать яму

Да, да, если не запустится драйвер это будет катастрофа всей моей жизни. Охрененной глубины яма...

Suntechnic ★★★★★ ()
Ответ на: комментарий от BoRoDKuH

Да, все верно. Но как я понял, что если ядро обновится - то могут слететь дрова nvidia ?

Не могут они слететь. Они просто не будут работать с новым ядром - надо будет переустанавливать.

Ну и начужом компе лучше уж действительно их реп.

Suntechnic ★★★★★ ()
Последнее исправление: Suntechnic (всего исправлений: 1)
Ответ на: комментарий от Suntechnic

Спасибо, дали исчерпывающие ответы.
И всем, кто внес свою лепту.

BoRoDKuH ()
Ответ на: комментарий от kostik87

И последний вопрос. Если я захочу вернутся к реп дровам, снесу новые, перед установкой стабильных дров.
Как мне вернуть mesa в нормальное состояние ?
Спасибо

BoRoDKuH ()
Ответ на: комментарий от BoRoDKuH

Переустановить пакет, в котором находится эта библиотека, а заодно пакеты, в которых находятся другие перезаписанные файлы.

Поэтому лучше ставить из репозитория или собирать, в данном случае deb пакет со свежей версией драйвера.

kostik87 ★★★★★ ()
Ответ на: комментарий от Suntechnic

/usr/lib/libGL.so сейчас этот файл из состава неправильно установленного вами проприетарного драйвера.

Если вы захотите перейти на nouveau или использовать другой открытый драйвер вам придётся переустановить пакет с этой библиотекой.

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87

Я не захочу ;)

Но дело не в том. Из какого пакета этот файл? Или вы считаете, что из-за того что я его заменил apt-file перестанет находить его в составе пакетов? Ну давайте тогда так поищем: http://packages.ubuntu.com/search?lang=ru&suite=precise&arch=any&...

Для надежности убедимся что никаких других libGL.so у нас по сути нет:

> locate libGL.so
/mnt/dev/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/mnt/dev/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/mnt/dev/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime.old/amd64/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/mnt/dev/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime.old/i386/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/mnt/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/mnt/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/mnt/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime.old/amd64/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/mnt/storage/steam/alex/.local/share/Steam/ubuntu12_32/steam-runtime.old/i386/usr/share/doc/nvidia-cg-toolkit/examples/Tools/trace/libGL.so.1.gz
/usr/lib/libGL.so
/usr/lib/libGL.so.1
/usr/lib/libGL.so.331.38
/usr/lib32/libGL.so
/usr/lib32/libGL.so.1
/usr/lib32/libGL.so.331.38
OK

Suntechnic ★★★★★ ()
Последнее исправление: Suntechnic (всего исправлений: 1)
Ответ на: комментарий от druganddrop-2

А я разве советовал? Я просто помог тому кто уже сам так делает.

Suntechnic ★★★★★ ()
Ответ на: комментарий от Suntechnic

А нужно было отговорить, тк у тс по незнанию, а не как у опытных дебилов.

anonymous ()

Где-то в этом треде должны быть советы по установке mplayer'а через make && make install и настройке сети ifconfig'ом и route в /etc/rc.local.

shell-script ★★★★★ ()

Не надо обновляться. 304.88 отлично работают. И да, как уже сказали, пользуйся лучше пакетным менеджером и не лезь в дебри, если не знаешь, как. Тут тебе насоветуют носки через руки натягивать. Тем более, что комп не твой. Нафига эти пляски!

Gonzo ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.